require 'mediawikibot'

class WikiChecker < MediaWikiBot::WikiBot
  def category_checker (page, category)
    body  = "== #{page} ==\n\n"
    body += "[[Category:FIXME]]\n\n"
    body += "Unter [[#{page}]] fehlen folgende Artikel aus [[:#{category}]]:\n\n"

    count = 0
    page_html = @client.get_content(url_page(page))
    get_category_articles(category).each do |title|
      re = Regexp.new(Regexp.escape("title=\"" + CGI.escapeHTML(title)))
      if ! re.match(page_html) && title != page
        body += "* [[" + title + "]]\n"
        count += 1
      end
    end

    body += "\n#{count} Artikel.\n"
    return body
  end
end

